import { OnInit, EventEmitter, ViewContainerRef } from '@angular/core';
import { FormTemplate } from '../../../../../template/form.template';
import { FormBuilder, FormGroup } from '@angular/forms';
import { DynaDataService } from '../../../services/dyna-data.service';
import { ValidatorUtils } from '../../../../../utils/validator-utils';
import { MatStepper } from '@angular/material/stepper';
import { IDirty } from '../../../../../guards/dirty.guard';
import { IForms } from '../../crud-detail.component';
import { TranslateService } from '@ngx-translate/core';
import { NotificationService } from '@xdf/commons';
export declare class CrudWizardDetailComponent implements OnInit, IDirty, IForms {
    private formBuilder;
    private validatorUtils;
    dynaDataService: DynaDataService;
    private vcRef;
    private translate;
    private notificationService;
    stepper: MatStepper;
    template: FormTemplate;
    serviceURL: string;
    id: number;
    record: any;
    form: FormGroup;
    errorMessage: string;
    mode: string;
    canceled: EventEmitter<void>;
    recordReady: EventEmitter<void>;
    processing: boolean;
    attributeTypes: Object;
    constructor(formBuilder: FormBuilder, validatorUtils: ValidatorUtils, dynaDataService: DynaDataService, vcRef: ViewContainerRef, translate: TranslateService, notificationService: NotificationService);
    isDirty(): boolean;
    getRef(): ViewContainerRef;
    ngOnInit(): void;
    updateForm(id: any, record: any, mode: any): void;
    /**
     * Se intenta carga la configuración del formulario de la siguiente forma
     * email: ['', [Validators.required, ValidationService.emailValidator]],
     * @param formTemplate template del formulario
     */
    private getFields;
    disabledCondition(control: any): boolean;
    reset(): void;
    isFirst(): boolean;
    isLast(): boolean;
    cancel(): void;
    submit(): void;
    hasContaint(row: any): boolean;
}
