import { OnInit, ViewContainerRef } from '@angular/core';
import { Definition } from '../../template/model/definition';
import { ActivatedRoute, Router } from '@angular/router';
import { DynaDataService } from './services/dyna-data.service';
import { IDirty } from '../../guards/dirty.guard';
import { IForms } from './crud-detail/crud-detail.component';
import { ConfirmationDialogService } from '../dialogs/confirmation-dialog/services/confirmation-dialog.service';
import { NotificationService, InitCommonsService } from '@xdf/commons';
import { AuthorizationService } from '@xdf/security';
export declare abstract class CrudDirective implements OnInit, IDirty {
    protected route: ActivatedRoute;
    protected router: Router;
    protected dynaDataService: DynaDataService;
    protected confirmationDialogService: ConfirmationDialogService;
    protected vcRef: ViewContainerRef;
    protected notificationService: NotificationService;
    protected authorizationService: AuthorizationService;
    protected init: InitCommonsService;
    viewDirty: IDirty;
    detailForm: IForms;
    serviceURL: string;
    resourceAuth: any;
    protected returnUrl: any;
    identifier: string;
    recordId: string;
    record: any;
    templateDefinition: Definition;
    constructor(route: ActivatedRoute, router: Router, dynaDataService: DynaDataService, confirmationDialogService: ConfirmationDialogService, vcRef: ViewContainerRef, notificationService: NotificationService, authorizationService: AuthorizationService, init: InitCommonsService);
    /**
     * Método utilizado para saber si un formulario ha sido modificado
     */
    isDirty(): boolean;
    getRef(): ViewContainerRef;
    ngOnInit(): void;
    protected getReturnURL(currentURL: string): string;
    protected abstract loadSettings(): any;
}
