import { OnInit, EventEmitter } from '@angular/core';
import { Subscription } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { FormGroupUtils } from '../../../utils/form-group-utils';
export declare const FILE_TYPE: {
    image: RegExp;
    file: RegExp;
};
export declare class FileUploadComponent implements OnInit {
    private _http;
    private formGroupUtils;
    urlBase: string;
    /** Link text */
    label: any;
    requiredSelection: boolean;
    text: string;
    /** Name used in form which will be sent in HTTP request. */
    param: string;
    /** Target URL for file uploading. */
    target: string;
    disabled: boolean;
    /**
     * File extension that accepted, same as 'accept' of <input type='file' />.
     * By the default, it's set to 'image/*'.
     */
    height: any;
    width: any;
    accept: string;
    multiple: boolean;
    /** Allow you to add handler after its completion. Bubble up response text from remote. */
    completed: EventEmitter<string>;
    allowDragAndDrop: boolean;
    name: string;
    _formGroup: any;
    formGroup: any;
    files: Array<FileUploadModel>;
    type: string;
    constructor(_http: HttpClient, formGroupUtils: FormGroupUtils);
    ngOnInit(): void;
    uploadFiles(event: any): void;
    cancelFile(file: FileUploadModel): void;
    retryFile(file: FileUploadModel): void;
    private sendFile;
    private updateFormControlValue;
    private removeFileFromArray;
}
export declare class FileUploadModel {
    data: File;
    state: string;
    inProgress: boolean;
    progress: number;
    canRetry: boolean;
    canCancel: boolean;
    sub?: Subscription;
}
